# coding: utf-8
from django.conf import settings

from tionix_dashboard.clients.base import TNXBaseNovaClient
from tionix_dashboard.clients.helpers import expected_402_404
from tionix_dashboard.dashboards.license import LicenseController


class TNXNodeJournalClient(TNXBaseNovaClient):
    """Client for tnx node journal"""

    resource = 'tnx_node_journal'

    @classmethod
    @expected_402_404(redirect=settings.WEBROOT,
                      lic_type=LicenseController.VDI)
    def list(cls, request, **kwargs):
        return super(TNXNodeJournalClient, cls).list(request, **kwargs)
