# coding: utf-8

"""Admin flavors actions"""

from django.utils.translation import ugettext_lazy as _

from horizon import tables

from tionix_dashboard.helpers.actions import MultiLinkAction, TnxFilterAction


class ModifyAccessMultiAction(MultiLinkAction):
    name = "multi_modify_access"
    verbose_name = _("Modify Access")
    url = "horizon:admin:flavors:modify_access"
    icon = "pencil"


class TnxAdminFlavorsFilterAction(TnxFilterAction, tables.FilterAction):

    name = "filter_admin_flavors"
    filter_type = "server"

    filter_choices = (
        ('name', _('Flavor Name'), False),
        ('vcpus', _('VCPUs'), False),
        ('ram', _('RAM'), False),
        ('disk', _('Root Disk'), False),
        ('ephemeral', _('Ephemeral Disk'), False),
        ('swap', _('Swap Disk'), False),
        ('rxtx_factor', _("RX/TX factor"), False),
        ('id', _('ID'), False),
        ("public", _("Public"), False),
    )
