# coding: utf-8

from django.utils.translation import ugettext_lazy as _

from horizon import tables

from tionix_dashboard.templatetags.tionix_tags import format_date


class AuditTable(tables.DataTable):
    ACTION_DISPLAY_CHOICES = (
        ("power-on", _('Power on')),
        ("power-off", _('Power off')),
        ("reset", _('Restart')),
        ("evacuate", _('Evacuation')),
        ("move-to-reserve", _('Move to reserve')),
        ("move-from-reserve", _('Move from reserve')),
        ("assign-image", _('Assign image')),
    )

    action_id = tables.Column('id', verbose_name=_('Action ID'))
    action = tables.Column('action', verbose_name=_('Action'),
                           display_choices=ACTION_DISPLAY_CHOICES)
    created_at = tables.Column('created_at', verbose_name=_('Start time'),
                               filters=(format_date, ))
    user_name = tables.Column('user_name', verbose_name=_('User name'))
    result = tables.Column('result', verbose_name=_('Result'))

    class Meta(object):
        name = 'audit'
        verbose_name = _('Hypervisor Action List')
