# coding: utf-8

from django.utils.translation import ugettext_lazy as _

from openstack_dashboard.dashboards.admin.images.tables import (
    AdminImageFilterAction)
from openstack_dashboard.dashboards.project.images.images.tables import (
    ImagesTable)

from tionix_dashboard.helpers.actions import TnxFilterAction, MultiLinkAction


def get_status_by_name(value):
    """Return found status from display value"""
    if value is not None:
        value = unicode(value).lower()
        for actual_value, translation in ImagesTable.STATUS_DISPLAY_CHOICES:
            if unicode(translation).lower().startswith(value):
                return actual_value


class TnxAdminImageFilterAction(TnxFilterAction, AdminImageFilterAction):

    filter_string_modifiers = {
        'status': get_status_by_name,
    }


class MultiImageEditAction(MultiLinkAction):
    name = 'multi_edit'
    verbose_name = _("Edit Images")
    url = "horizon:admin:images:multi_edit"
    policy_rules = (('identity', 'admin_required'),)
