# coding: utf-8

from openstack_dashboard.dashboards.admin.networks import (
    views as networks_views)
from openstack_dashboard.dashboards.admin.networks.ports import (
    views as ports_views)
from openstack_dashboard.dashboards.admin.networks.subnets import (
    views as subnets_views)

from tionix_dashboard.dashboards.admin.networks import forms, workflows
from tionix_dashboard.dashboards.project.project_networks.forms import (
    UpdateNetwork)
from tionix_dashboard.dashboards.project.project_networks.workflows import (
    CreateNetwork)


class CreateView(networks_views.CreateView):
    workflow_class = CreateNetwork


class UpdateView(networks_views.UpdateView):
    form_class = UpdateNetwork


class SubnetCreateView(subnets_views.CreateView):
    workflow_class = workflows.CreateSubnet


class PortCreateView(ports_views.CreateView):
    form_class = forms.CreatePort


class SubnetUpdateView(subnets_views.UpdateView):
    workflow_class = workflows.UpdateSubnet


class PortUpdateView(ports_views.UpdateView):
    form_class = forms.UpdatePort
