# coding: utf-8

from django.core.urlresolvers import reverse_lazy, reverse

from tionix_dashboard.dashboards.admin.volumes.volumes.tables import (
    TnxVolumesTable
)
from tionix_dashboard.dashboards.project.project_volumes.volumes import views


class TnxCreateSnapshotView(views.TnxCreateSnapshotView):
    submit_url = "horizon:admin:volumes:volumes:create_snapshot"
    success_url = reverse_lazy('horizon:admin:volumes:snapshots_tab')


class DetailView(views.DetailView):

    def get_context_data(self, **kwargs):
        context = super(DetailView, self).get_context_data(**kwargs)
        table = TnxVolumesTable(self.request)
        context['actions'] = table.render_row_actions(context['volume'])
        return context

    def get_redirect_url(self):
        return reverse('horizon:admin:volumes:index')
