# coding: utf-8

import horizon

from tionix_dashboard.dashboards.license import LicenseController


class Empty(object):

    def __init__(self, **kwargs):
        for k, v in kwargs.iteritems():
            setattr(self, k, v)


class TionixPanel(horizon.Panel):
    """Extended panel with license check"""

    lic_type = None

    def __init__(self):
        super(TionixPanel, self).__init__()

        if self.lic_type:
            LicenseController.add_panel(self.lic_type,
                                        'tionix',
                                        self.__class__)

    def can_access(self, context):
        result = super(TionixPanel, self).can_access(context)
        if self.lic_type:
            request = context['request']
            result = result and LicenseController.is_valid(request,
                                                           self.lic_type)
        return result
