# coding: utf-8

import logging

from keystoneclient.exceptions import NotFound

from horizon.utils import memoized

from tionix_dashboard.clients.domain_config import TNXDomainConfigClient


logger = logging.getLogger()


@memoized.memoized_method
def get_domain_configuration(request, domain_id):
    """Return domain configuration or None"""
    config = None
    try:
        config = TNXDomainConfigClient.get(request, domain_id)
    except NotFound:
        pass
    except Exception as err:
        logger.error(unicode(err))
    return config
