# coding: utf-8

import logging

from django.utils.translation import ugettext_lazy as _

from horizon import exceptions

from requests.exceptions import ConnectionError

from openstack_dashboard.dashboards.project.network_topology.views import (
    NetworkTopologyView)

logger = logging.getLogger(__name__)


class TnxNetworkTopologyView(NetworkTopologyView):

    def _quota_exceeded(self, quota):
        result = True
        try:
            result = super(TnxNetworkTopologyView, self)._quota_exceeded(quota)
        except ConnectionError as err:
            logger.error(unicode(err))
            exceptions.handle(self.request,
                              _('Failed to retrieve quota information.'))
        return result
