# coding: utf-8

"""
Views for managing images.
"""

from openstack_dashboard.dashboards.project.images import views as index_view
from openstack_dashboard.dashboards.project.images.images import (
    views as images_views)
from openstack_dashboard.dashboards.project.images.snapshots import (
    views as snapshots_views)

from tionix_dashboard.dashboards.project.project_images import (
    forms, tabs, tables)


class TnxIndexView(index_view.IndexView):
    table_class = tables.ProjectImagesTable


class DetailView(images_views.DetailView):
    tab_group_class = tabs.TnxImageDetailTabs


class CreateImageView(images_views.CreateView):
    form_class = forms.CreateImageForm


class CreateSnapshotView(snapshots_views.CreateView):
    form_class = forms.CreateSnapshot
