# coding: utf-8

from openstack_dashboard.dashboards.project.networks import (
    views as networks_views)
from openstack_dashboard.dashboards.project.networks.ports import (
    views as ports_views)
from openstack_dashboard.dashboards.project.networks.subnets import (
    views as subnets_views)

from tionix_dashboard.dashboards.project.project_networks.forms import (
    UpdateNetwork, UpdatePort)
from tionix_dashboard.dashboards.project.project_networks.workflows import (
    CreateNetwork, UpdateSubnet, CreateSubnet)


class CreateView(networks_views.CreateView):
    workflow_class = CreateNetwork


class UpdateView(networks_views.UpdateView):
    form_class = UpdateNetwork


class SubnetUpdateView(subnets_views.UpdateView):
    workflow_class = UpdateSubnet


class PortUpdateView(ports_views.UpdateView):
    form_class = UpdatePort


class SubnetCreateView(subnets_views.CreateView):
    workflow_class = CreateSubnet
