# coding: utf-8

from django.utils.translation import ugettext_lazy as _

from horizon import tables

from tionix_dashboard.dashboards.license import LicenseController
from tionix_dashboard.dashboards.project.project_instances import (
    actions as project_actions)
from tionix_dashboard.dashboards.tionix.metrics.constants import (
    METRICS_INSTANCE_SHOW, METRICS_INSTANCE_SETTINGS)


class MetricsInstanceFilterAction(project_actions.TnxInstancesFilterAction):
    name = "filter_metrics_instances"
    filter_type = "server"
    filter_choices = (('project', _("Project ="), True),
                      ('name', _("Name"), True),
                      ('host', _("Host ="), True),
                      ('tnx_node_title', _("Node Title"), False),
                      ('tnx_type', _("Type"), True),
                      ('ip', _("IPv4 Address ="), True),
                      ('ip6', _("IPv6 Address ="), True),
                      ('status', _("Status ="), True),
                      ('power_state', _("Power state"), True),)


class MetricsInstanceShowAction(tables.LinkAction):
    name = 'show_instance_metrics'
    verbose_name = _('Show metrics')
    url = METRICS_INSTANCE_SHOW

    def allowed(self, request, datum):
        return LicenseController.is_valid(request, LicenseController.MONITOR)


class MetricsInstanceSettingsAction(tables.LinkAction):
    name = 'settings_instance_metrics'
    verbose_name = _('Settings')
    classes = ("ajax-modal", )
    url = METRICS_INSTANCE_SETTINGS
