# coding: utf-8

from django.conf.urls import url, patterns

from tionix_dashboard.dashboards.tionix.vdi import views as vdi_views
from tionix_dashboard.dashboards.tionix.vdi.projects import views

TENANT = r'^(?P<tenant_id>[^/]+)/%s/$'

urlpatterns = patterns(
    '',
    url(r'^create/$', views.CreateVDIProjectView.as_view(), name='create'),
    url(TENANT % 'update', views.UpdateVDIProjectView.as_view(),
        name='update'),
    url(r'multi_update/$', views.MultiUpdateVDIProjectView.as_view(),
        name='multi_update'),
    url(TENANT % 'clone', views.CloneVDIProjectView.as_view(), name='clone'),
    url(r'^create_network/$', views.CreateVDIProjectNetworkView.as_view(),
        name='create_network'),
    url(TENANT % 'detail',
        views.DetailVDIProjectView.as_view(),
        name='detail'),
    url(r'^\?tab=vdi_tab_group__projects_tab$',
        vdi_views.IndexView.as_view(),
        name='index'),
)
