# coding: utf-8
from django.core.context_processors import csrf
from django.utils.translation import ugettext_lazy as _
from django.template.loader import render_to_string

from horizon import tabs


class NewTab(tabs.Tab):
    name = _('New tab')
    slug = 'new_tab'
    template_name = 'tionix_dashboard/_details.html'


class DynamicTabGroup(tabs.TabGroup):
    """
    TabGroup with possibility of adding new tabs
    """
    template_name = '_dynamic_tab_group.html'

    tab_class = NewTab

    delete_url = None

    def get_context_data(self):
        context = {
            'tab_group': self,
            'new_tab': self.tab_class(self, self.request),
        }
        context.update(csrf(self.request))
        return context

    def render(self):
        """
        Renders the HTML output for this tab group
        """
        return render_to_string(self.template_name,
                                self.get_context_data())

