# coding: utf-8

import unittest

from tionix_dashboard import check_configuration
from tionix_dashboard.helpers.i18 import ugettext as _
from tionix_dashboard.dashboards.tionix.frames.models import Frame
from tionix_dashboard.tests.functional import FunctionalTests
from tionix_dashboard.tests.functional.helpers import test_not_available_msg


@unittest.skipIf(not FunctionalTests.active,
                 u'functional tests do not apply in this case')
@unittest.skipIf(not check_configuration(), test_not_available_msg)
class DBConnectionTest(unittest.TestCase):
    def test_db_connection(self):
        """Check tionix_frames table existence.

        :lang:ru Проверка существования таблицы tionix_frames.
        """
        try:
            Frame.objects.exists()  # pylint: disable=no-member
        except Exception:
            self.fail(_(u'DB is not available or is not valid, '
                        u'try to run openstack tnx db migrate. Otherwise,'
                        u' check auth parameters.'))
