# coding: utf-8

import os
import sys
import unittest

import django

from tionix_dashboard import decorate_secret_key_generator
from tionix_dashboard.tests.functional import FunctionalTests

try:
    from tionix_client.functional import DetailedTestRunner
except ImportError:
    print 'tionix-client is not installed'
    DetailedTestRunner = None

sys.path.append('/usr/share/openstack-dashboard')
os.environ['DJANGO_SETTINGS_MODULE'] = 'openstack_dashboard.settings'


def run(debug=False):
    test_result = None
    decorate_secret_key_generator()
    django.setup()
    FunctionalTests.active = True

    suite = unittest.TestLoader().discover(
        start_dir=os.path.dirname(__file__),
        pattern='func_test_dashboard*')

    if DetailedTestRunner is not None:
        test_result = DetailedTestRunner(debug=debug).run(suite).to_dict()

    FunctionalTests.active = False
    return test_result

if __name__ == '__main__':
    run()
